<div style="width: 400px; margin: auto;">
    <div *ngIf="currentStudent" class="edit-form">
        <h4 class="mb-4">Student</h4>
        <form>
            <div class="form-group mb-3">
                <label for="first_name">First name</label>
                <input type="text" class="form-control" id="first_name" [(ngModel)]="currentStudent.first_name"
                    name="first_name" />
            </div>
            <div class="form-group mb-3">
                <label for="last_name">Last name</label>
                <input type="text" class="form-control" id="last_name" [(ngModel)]="currentStudent.last_name"
                    name="last_name" />
            </div>
            <div class="form-group mb-3">
                <label for="age">Age</label>
                <input type="text" class="form-control" id="age" [(ngModel)]="currentStudent.age" name="age" />
            </div>
        </form>
        <br>
        <button class="btn btn-danger me-2" (click)="deleteStudent()">
            Delete
        </button>

        <button type="submit" class="btn btn-success" (click)="updateStudent()">
            Update
        </button>

        <div *ngIf="message" class="alert alert-success mt-4" role="alert">
            {{ message }}
        </div>
    </div>

    <div *ngIf="!currentStudent">
        <br />
        <p>Cannot access this student...</p>
    </div>
</div>